Loading...
Searching...
No Matches
raptor::output_file_validator Class Reference

## Public Types

using | option_value_type = std::string

## Public Member Functions

std::string | get_help_page_message () const
void | operator() (option_value_type const &value) const
output_file_validator & | operator= (output_file_validator &&)=default
output_file_validator & | operator= (output_file_validator const &)=default
| output_file_validator (output_file_validator &&)=default
| output_file_validator (output_file_validator const &)=default

## Private Attributes

sharg::output_file_validator | validator {sharg::output_file_open_options::open_or_create}

The documentation for this class was generated from the following file:

- validators.hpp